Update Source URL
curl -X POST "https://api.5centscdn.com/v2/streams/restream/1001/source" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY" \
-d '{
"restreamtype": "mediaserver",
"server[mediaserver]": "11,211",
"mode[mediaserver]": "rtmp",
"url[mediaserver][]": "rtmp://fms-01-01.5centscdn.com",
"audiofix": "Y"
}'
import requests
import json
url = "https://api.5centscdn.com/v2/streams/restream/1001/source"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
data = {
"restreamtype": "mediaserver",
"server[mediaserver]": "11,211",
"mode[mediaserver]": "rtmp",
"url[mediaserver][]": "rtmp://fms-01-01.5centscdn.com",
"audiofix": "Y"
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/streams/restream/1001/source", {
method: "POST",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
},
body: JSON.stringify({
"restreamtype": "mediaserver",
"server[mediaserver]": "11,211",
"mode[mediaserver]": "rtmp",
"url[mediaserver][]": "rtmp://fms-01-01.5centscdn.com",
"audiofix": "Y"
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"restreamtype": "mediaserver",
"server[mediaserver]": "11,211",
"mode[mediaserver]": "rtmp",
"url[mediaserver][]": "rtmp://fms-01-01.5centscdn.com",
"audiofix": "Y"
}`)
req, err := http.NewRequest("POST", "https://api.5centscdn.com/v2/streams/restream/1001/source", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/streams/restream/1001/source')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
request.body = '{
"restreamtype": "mediaserver",
"server[mediaserver]": "11,211",
"mode[mediaserver]": "rtmp",
"url[mediaserver][]": "rtmp://fms-01-01.5centscdn.com",
"audiofix": "Y"
}'
response = http.request(request)
puts response.body
{
"result": "success",
"message": "Stream Updated",
"stream": {
"monitoring_id": null,
"type": "restream",
"id": 69971,
"serviceid": 103,
"name": "logotest/james",
"codec": "h264",
"ingests": [
[],
null
],
"protocols": [
[
"HLS",
"RTSP"
],
[
"HLS",
"RTSP"
]
],
"parentid": null,
"server": "201",
"backup": "",
"dedicatedLTC": "1",
"hasAdvancedFeatures": "1",
"monitoring_triggers": null,
"draft": "0",
"disabled": "0",
"created_at": "2026-03-11 13:05:31",
"updated_at": "2026-04-30 12:43:31",
"lastseen_at": "2026-04-30 12:43:11",
"deleted": null,
"ingestsLock": 0,
"protocolsLock": 0,
"status": "Deploying",
"has": {
"rtmp": 0,
"rtsp": 1,
"hls": 1,
"dash": 0,
"rtmpauth": false
},
"parts": {
"pp": "logotest",
"sn": "james",
"full": "logotestjames"
},
"restream": {
"type": "mediaserver",
"mode": "rtmp",
"urls": [
"rtmp://fms-01-01.5centscdn.com"
],
"staticip": "N",
"audiofix": "Y",
"server": {
"country": "North America"
}
},
"playbackurls": {
"scheme": "https",
"url_prefix": "https://stream-abc12-hls-live.stream.example.com",
"rtmp": "rtmp://rtmp.5centscdn.com:1935/",
"rtsp": "rtsp://rtsp.5centscdn.com:554/",
"hlsManifest": "playlist.m3u8",
"dashManifest": "manifest.mpd",
"hls": "https://hash-hls-live.5centscdn.com",
"dash": "https://hash-hls-live.5centscdn.com",
"players": {
"flowplayer": {
"baseQ": "",
"base": "https://cdn.example.com/flowplayer/hls/",
"hls": "https://cdn.example.com/flowplayer/hls/aHR0cHM6Ly9zdHJlYW0uZXhhbXBsZS5jb20vc2FtcGxlL3N0cmVhbS9wbGF5bGlzdC5tM3U4"
},
"videojs": {
"baseQ": "",
"base": "https://cdn.example.com/videojs/hls/",
"hls": "https://cdn.example.com/videojs/hls/aHR0cHM6Ly9zdHJlYW0uZXhhbXBsZS5jb20vc2FtcGxlL3N0cmVhbS9wbGF5bGlzdC5tM3U4"
},
"own": {
"hashes": {
"stream-abc12-hls-live.stream.example.com": {
"hash": "48nujrim2v7hzm6y",
"hls": "https://hash-hls-live.5centscdn.com",
"base64": "aHR0cHM6Ly9zdHJlYW0uZXhhbXBsZS5jb20vc2FtcGxlL3N0cmVhbS9wbGF5bGlzdC5tM3U4",
"dash": "https://hash-hls-live.5centscdn.com",
"base64dash": "aHR0cHM6Ly9zdHJlYW0uZXhhbXBsZS5jb20vc2FtcGxlL3N0cmVhbS9wbGF5bGlzdC5tM3U4"
}
},
"baseQ": "?showcv=true&title=logotest/james",
"base": "https://cdn.example.com/player/hls/skin1/48nujrim2v7hzm6y/",
"hls": "https://cdn.example.com/player/hls/skin1/48nujrim2v7hzm6y/aHR0cHM6Ly9zdHJlYW0uZXhhbXBsZS5jb20vc2FtcGxlL3N0cmVhbS9wbGF5bGlzdC5tM3U4?showcv=true&title=logotest/james",
"dash": "https://cdn.example.com/player/dash/skin1/48nujrim2v7hzm6y/aHR0cHM6Ly9zdHJlYW0uZXhhbXBsZS5jb20vc2FtcGxlL3N0cmVhbS9wbGF5bGlzdC5tM3U4?showcv=true&title=logotest/james"
}
},
"tokenized": null
},
"platformsCount": 1,
"ssl_enabled": true,
"hash": "james.stream",
"ndvr": {
"enabled": "N",
"retention": "5"
},
"securetoken": {
"enabled": "N",
"policy": "D",
"keyip": "N",
"list": "",
"timeout": 3600,
"session": "0",
"ips": "",
"dirs": null,
"active": "N"
},
"record": null,
"domainlock": {
"enabled": "N",
"policy": "Y",
"list": "example.com,docs.example.com",
"ips": "",
"noreferer": "N",
"active": "N"
},
"geoblock": {
"enabled": "N",
"policy": "N",
"list": [
""
],
"ips": "",
"active": "N"
},
"ipaccess": {
"enabled": "N",
"policy": "N",
"list": "",
"ips": "",
"active": "N"
},
"useragent": {
"enabled": "N",
"policy": "Y",
"list": "",
"ips": "",
"casesensitive": "N",
"active": "N",
"listArr": [
""
]
},
"rtmpauth": {
"password": "",
"active": "N"
},
"transcode": {
"ltc": 3,
"type": "mixed",
"enabled": true,
"isEditable": true,
"id": 69971,
"autostop": 0,
"vprofiles": [
"12345"
],
"aprofiles": [
"12345"
],
"filters": [],
"disabled": "0",
"count": 1,
"countRaw": 1,
"codec": "h264",
"isRunning": false,
"profiles": {
"count": {
"total": 1,
"uhd": 1
}
}
},
"platforms": [
{
"id": 46770,
"rtmp": "rtmp://live.us.picarto.tv/golive",
"auth": "N",
"username": "",
"password": "",
"isSRT": false,
"key": "lll",
"schedule": "instant",
"scheduletime": null,
"codec": null,
"length": "00:00",
"relid": 69971,
"dedicatedLTC": "0",
"transcode": {
"ltc": 0,
"type": "mixed",
"enabled": false,
"isEditable": true
},
"disabled": "0",
"name": "h",
"platform_id": 1,
"provider_id": 0,
"video_id": ""
}
],
"messages": {},
"adInsertion": {
"id": 9,
"relid": 69971,
"type": "stream",
"enabled": "Y",
"policy": "1",
"provider": "FreeWheel",
"meta": {
"adpreroll": {
"maxDuration": 30,
"offset": 0
},
"adreplacement": {
"scte35": {
"adBreakTriggers": [
"0x22",
"0x30",
"0x32",
"0x34",
"0x36",
"splice_insert"
],
"markersToRemove": [
"ALL"
]
},
"onStartWithinAdBreak": "replace"
}
},
"defaultDuration": 30,
"created_at": "2026-04-01 14:04:46",
"schedules": [],
"active": "N"
}
}
}
/streams/restream/{streamid}/sourceTarget server for requests. Edit to use your own host.
API key (sent in header)
Stream ID
The media type of the request body
Indicates the type of restream being used. Defines the source or mechanism of the stream. Examples include mediaserver or cloudstream.
Represents the identifier of the media server. Used to point to the specific media server in the system.
Indicates the streaming mode supported by the media server. Common values include hls, dash, rtmp.
A URL pointing to the media server endpoint for accessing the stream.
Fix audio sync issues in pull streams. Y means enabled, N means disabled.
Request Preview
Response
Response will appear here after sending the request
Authentication
API Key for authentication. Provide your API key in the header.
Path Parameters
Body
Indicates the type of restream being used. Defines the source or mechanism of the stream. Examples include mediaserver or cloudstream.
mediaserverRepresents the identifier of the media server. Used to point to the specific media server in the system.
11,211Indicates the streaming mode supported by the media server. Common values include hls, dash, rtmp.
rtmpA URL pointing to the media server endpoint for accessing the stream.
rtmp://fms-01-01.5centscdn.comResponses
Status of the API response.
Human-readable message describing the result.
Stream object containing configuration and status details.